#!/usr/bin/env bash

NPM_PATH="."

npm_install() {
    cd "${NPM_PATH}" && \
    npm install
}

npm_update() {
    npm_install
}

npm_run() {
    (
        if [ -d "${NPM_PATH}/node_modules" ]
        then
            PATH="${NPM_PATH}/node_modules/.bin:${PATH}"
        fi
        "$@"
    )
}
