#!/usr/bin/env bash

DJANGO_PATH="../web"
DJANGO_MANAGE_PATH="${DJANGO_PATH}/manage.py"

module_load virtualenv

django_install() {
    true  # nothing to do
}

django_update() {
    django_run migrate
}

django_run() {
    (
        virtualenv_run python "$DJANGO_MANAGE_PATH" "$@"
    )
}

task:django() {
    django_run "$@"
}
