#!/usr/bin/env bash

VIRTUALENV_PATH="../ENV"
VIRTUALENV_PYTHON_EXE="python"
VIRTUALENV_REQUIREMENTS_FILE="requirements.txt"

virtualenv_run() {
    (
        # if [ -d "${VIRTUALENV_PATH}" ]
        # then
        #     PATH="${VIRTUALENV_PATH}/bin:${PATH}"
        # fi
        source "${VIRTUALENV_PATH}/bin/activate" && \
        "$@"
    )
}

virtualenv_update() {
    virtualenv_run pip install -U -r "${VIRTUALENV_REQUIREMENTS_FILE}"
}

virtualenv_install() {
    virtualenv --python="${VIRTUALENV_PYTHON_EXE}" "${VIRTUALENV_PATH}" && \
    virtualenv_update
}

task:pip() {
    virtualenv_run pip "$@"
}
